<template>
  <j-modal
    :title="'备件编辑'"
    :width='2000'
    :visible='visible'
    :maskClosable='false'
    :fullscreen="true"
    switchFullscreen  
    @ok='handleOk'
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel='handleCancel'>
    <equipment-spare-parts-form ref='realForm' @ok='submitCallback' :disabled='disableSubmit' />
  </j-modal>
</template>
<script>
import EquipmentSparePartsForm from './edit/EquipmentSparePartsForm'
export default {
  name: 'EquipmentSparePartsModal',
  components: {
    EquipmentSparePartsForm
  },
  data() {
    return {
      title: '',
      width: 800,
      visible: false,
      disableSubmit: false
    }
  },
  methods: {
    add() {
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.add()
      })
    },
    edit(record) {
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.edit(record)
      })
    },
    close() {
      this.$emit('close')
      this.visible = false
    },
    handleOk() {
      this.$refs.realForm.handleOk()
    },
    submitCallback() {
      this.$emit('ok')
      this.visible = false
    },
    handleCancel() {
      this.close()
    }
  }
}
</script>
